Get list of users that can access the users store
GET
/domains/{domainID}/users/{userID}/storeAccess
const url = 'https://example.com/api/v1/domains/1/users/1/storeAccess';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/domains/1/users/1/storeAccess \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”userID
required
integer
ID of the user
domainID
required
integer
ID of the domain
Responses
Section titled “ Responses ”List of users with store access returned
Media typeapplication/json
object
data
Array<object>
object
memberID
Member ID of the owner list
string
displayName
Name of member
string
username
E-Mail address of the user
string
Examplegenerated
{ "data": [ { "memberID": "example", "displayName": "example", "username": "example" } ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}